Bug 25135 - Improve clarity and navigation of columns settings administration
Summary: Improve clarity and navigation of columns settings administration
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-13 17:39 UTC by Owen Leonard
Modified: 2020-05-07 21:44 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Screenshot of the updated interface (134.53 KB, image/png)
2020-04-13 17:42 UTC, Owen Leonard
Details
Bug 25135: Improve clarity and navigation of columns settings administration (10.48 KB, patch)
2020-04-13 19:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25135: Improve clarity and navigation of columns settings administration (10.55 KB, patch)
2020-04-17 16:53 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 25135: Improve clarity and navigation of columns settings administration (10.62 KB, patch)
2020-04-18 02:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-04-13 17:39:48 UTC
I would like to make a few changes to the columns settings administration page, adding some labels and in-page links and making the hierarchy of headings look more consistent.
Comment 1 Owen Leonard 2020-04-13 17:42:07 UTC
Created attachment 102881 [details]
Screenshot of the updated interface
Comment 2 Owen Leonard 2020-04-13 19:18:13 UTC
Created attachment 102889 [details] [review]
Bug 25135: Improve clarity and navigation of columns settings administration

This patch makes some modifications to the columns setting
administration template so that the headings are a little clearer.
In-page navigation is added for each section.

To test, apply the patch and go to Administration -> Columns settings.

 - Confirm that the collapsing panels work correctly.
 - Expand a section and confirm that the "jump to" links work correctly.
Comment 3 Bernardo Gonzalez Kriegel 2020-04-17 16:53:59 UTC
Created attachment 103174 [details] [review]
Bug 25135: Improve clarity and navigation of columns settings administration

This patch makes some modifications to the columns setting
administration template so that the headings are a little clearer.
In-page navigation is added for each section.

To test, apply the patch and go to Administration -> Columns settings.

 - Confirm that the collapsing panels work correctly.
 - Expand a section and confirm that the "jump to" links work correctly.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Looks good, works good.
Comment 4 Katrin Fischer 2020-04-18 02:40:10 UTC
Created attachment 103192 [details] [review]
Bug 25135: Improve clarity and navigation of columns settings administration

This patch makes some modifications to the columns setting
administration template so that the headings are a little clearer.
In-page navigation is added for each section.

To test, apply the patch and go to Administration -> Columns settings.

 - Confirm that the collapsing panels work correctly.
 - Expand a section and confirm that the "jump to" links work correctly.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Looks good, works good.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-04-18 02:41:24 UTC
Thx a lot for doing this - much better!

I was tempted to change Table id to Table ID, but was not sure as we are referring to the CSS attribute here.
Comment 6 Martin Renvoize 2020-04-20 12:38:30 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-05-07 21:44:06 UTC
enhancement not backported to 19.11.x